apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ingress-service
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/use-regex: 'true'
spec:
  rules:
    - host: ticketing.dev
      http:
        paths:
          - path: /api/(users|groups)
            pathType: Prefix
            backend:
              service:
                name: auth-srv
                port:
                  number: 5000
          - path: /api/(lists|lists2|items|items2|subitems)
            pathType: Prefix
            backend:
              service:
                name: lists-srv
                port:
                  number: 5000
          - path: /api/trackers
            pathType: Prefix
            backend:
              service:
                name: trackers-srv
                port:
                  number: 5000
          - path: /api/calendars
            pathType: Prefix
            backend:
              service:
                name: calendars-srv
                port:
                  number: 5000
          - path: /api/tickets
            pathType: Prefix
            backend:
              service:
                name: tickets-srv
                port:
                  number: 5000
          - path: /api/orders
            pathType: Prefix
            backend:
              service:
                name: orders-srv
                port:
                  number: 5000
          - path: /api/payments
            pathType: Prefix
            backend:
              service:
                name: payments-srv
                port:
                  number: 5000
          - path: /
            pathType: Prefix
            backend:
              service:
                name: client-srv
                port:
                  number: 5000
---
apiVersion: v1
kind: Service
metadata:
  name: ingress-nginx-controller
  namespace: kube-system
  labels:
    addonmanager.kubernetes.io/mode: Reconcile
    app.kubernetes.io/component: controller
    app.kubernetes.io/instance: ingress-nginx
    app.kubernetes.io/name: ingress-nginx
    app.kubernetes.io/part-of: kube-system
spec:
  ports:
    - name: port-1
      protocol: TCP
      port: 80
      targetPort: 80
    - name: port-2
      protocol: TCP
      port: 443
      targetPort: 80
    - name: port-3
      protocol: TCP
      port: 8443
      targetPort: 80
  selector:
    app.kubernetes.io/component: controller
    app.kubernetes.io/instance: ingress-nginx
    app.kubernetes.io/name: ingress-nginx
  type: ClusterIP
  sessionAffinity: None